sabato 24 novembre 2007

gimp 2.4.2 guida all' installazione

In data 21/11/2007 è uscita la nuova versione stabile di gimp la 2.4.2 queste le principali novità implementate:

- removed broken and useless HSV Graph script (bug #491311)
- update the histogram when a color correction tool is cancelled (bug #493639)
- fixed a crash with certain plug-in or script descriptions (bug #492718)
- corrected a tooltip (bug #495564)
- fixed a crash when GIMP is run without any modules (bug #495863)
- fixed error handling in the TIFF plug-in
- fixed a problem with Sample points
- fixed a crash when merging layers in indexed image (bug #495990)
- update the histogram when painting (bug #494049)
- fixed another problem with merge operations on indexed images (bug #496437)
- fixed crash in TIFF plug-in when saving indexed images (bug #497103)
- changed defaults so that a system monitor profile is only used when the
user explicitely enabled this feature (bug #496890)
- fixed endless loop when running equalize on transparent areas (bug #497291)
- fixed heap corruption in GimpColorScale widget that caused a crash in the
Compose plug-in (bug #399484)
- fixed use of background color in Particle Trace script (bug #498282)
- set the image menu insensitive when there's no image opened (bug #498511)
- translation updates (ca, et, it, lt, pt, pt_BR, sr, sv)

per procedere con l'installazione sulla nostra ubuntu o debian testing dovrete prima risolvere ed installare alcune dipendenze, incominciamo installando le librerie wxgtk 2.8.6 scaricatele scrivendo da terminale:

wget http://garr.dl.sourceforge.net/sourceforge/wxwindows/wxGTK-2.8.6.tar.gz

spostatele dentro opt.

sudo mv wxGTK* /opt
cd /opt
sudo tar zxvf wxGTK*

procedete con la compilazione.

cd wxGTK-2.8.6
sudo ./configure --prefix=/usr --with-gtk --enable-unicode --disable-compat24 --enable-optimise
sudo make
sudo make install
sudo ldconfig

finita la compilazione installate le librerie libpythonize0-dev e python-gtk2-dev.

cd ..
sudo apt-get install
libpythonize0-dev python-gtk2-dev
sudo apt-get install -f

adesso il sistema è pronto per procedere con l'installazione di gimp scarichiamolo, vi ricordo che vi trovate dentro la cartella opt.

sudo wget ftp://ftp.gimp.org/pub/gimp/v2.4/gimp-2.4.2.tar.bz2

scompattiamo l'archivio tar.bz2.

sudo tar jxvf gimp-2.4.2*

spostiamoci dentro la nuova cartella gimp-2.4.2 date i comandi per la compilazione.

cd gimp-2.4.2
sudo ./configure
sudo make
sudo make install
cd ..
sudo chmod -R a+rwx gimp-2.4.2
sudo chown -R $USER:$USER gimp-2.4.2

con la compilazione ed installazione di questa nuova versione verrà aggiornata in automatico la versione precedente nel mio caso la 2.4.1 procedura eseguita su debian lenny ed ubuntu gutsy.








3 commenti:

P@co ha detto...

ciao, potresti aiutarmi?
il mio problema sorge quando do il comando:
sudo ./configure,
alla fine mi dice che non trova:
libart-2.0
e quindi non posso andare avanti neanche con gli altri comandi perchè non trova i make file.
grazie 1000000000

santo vasta ha detto...

vuol dire che sul tuo computer manca la libreria libart-2.0-dev

installala con synaptic ma credo che sul tuo sistema ti mancheranno altre librerie intanto installa la libart vedi dopo che ti dice il comando configure.

ciao

colossus ha detto...

Per compilare gimp devo installare le wx widgets? Ma scherzi?? Per favore correggi il post, Gimp utilizza le GTK2 e non le wxwidgets!